Botan 1.10.17

Classes | Namespaces | Functions
pipe.h File Reference
`#include <botan/data_src.h>`
`#include <botan/filter.h>`
`#include <botan/exceptn.h>`
`#include <iosfwd>`

Go to the source code of this file.

## Classes
struct | Botan::Pipe::Invalid_Message_Number
class | Botan::Pipe

## Namespaces
| Botan

## Functions
BOTAN_DLL std::ostream & | Botan::operator<< (std::ostream &out, Pipe &pipe)
BOTAN_DLL std::istream & | Botan::operator>> (std::istream &in, Pipe &pipe)